/*
 * Erstellt mit SharpDevelop.
 * Benutzer: roland
 * Datum: 08.11.2010
 * Zeit: 18:16
 * 
 * Sie knnen diese Vorlage unter Extras > Optionen > Codeerstellung > Standardheader ndern.
 */

using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;
using InfoKursTools;

namespace ComboBoxDemo1
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public partial class MainForm : Form
	{
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
		
		void ButtonFllenClick(object sender, EventArgs e)
		{
			for(int i=1;i<=20;i++)
			{
				// Zufallszahl erzeugen
				int zahl=randomNumbers1.Next();
				// Zahl der ComboBox hinzufgen
				comboBox1.Items.Add(zahl);
			}
		}
		
		
		void ButtonClearClick(object sender, EventArgs e)
		{
			// ComboBox lschen
			comboBox1.Items.Clear();
		}
		
		void ButtonSelected1Click(object sender, EventArgs e)
		{
			// Index des ausgewhlten Elements bestimmen
			int index=comboBox1.SelectedIndex;
			
			// Element wurde ausgewhlt
			if(index>-1)
			{
				// Wert von Objekt als String einlesen
				string s=comboBox1.Items[index].ToString();
				// Ausgabe
				MessageBox.Show("Ausgewhltes Element (Nr. "+index.ToString()+"): "+s);
			}
			// SelectedIndex ist -1 ==> Kein Element ausgewhlt
			else
			{
				MessageBox.Show("Kein Element ausgewhlt!");
			}
		}
		
		void ButtonSelected2Click(object sender, EventArgs e)
		{
			Object o=comboBox1.SelectedItem;
			// kein Objekt ausgewhlt
			if(o==null)
			{
				MessageBox.Show("Kein Element ausgewhlt!");
			}
			else
			{
				MessageBox.Show("Ausgewhltes Element: "+o.ToString());
			}
		}
		
		void ButtonRemoveSelectedClick(object sender, EventArgs e)
		{
			// Index des ausgewhlten Elements bestimmen
			int index=comboBox1.SelectedIndex;
			
			// Element wurde ausgewhlt
			if(index>-1)
			{
				comboBox1.Items.RemoveAt(index);
			}
		}
		
		void ButtonCloseClick(object sender, EventArgs e)
		{
			// Anwendung beenden
			Close();
		}
		
		void ButtonClearSelectionClick(object sender, EventArgs e)
		{
			// ausgewhltes Item auf null (d.h. nicht belegt) setzen
			comboBox1.SelectedItem=null;
		}
		
		void ButtonSearchClick(object sender, EventArgs e)
		{
			// Zahl, die in ComboBox gesucht wird, einlesen
			int zahl=inputBox1.ReadInteger(0);
			// prfen, ob ComboBox Zahl enthlt
			if(comboBox1.Items.Contains(zahl))
			{
				// Index von Zahl bestimmen
				int index=comboBox1.Items.IndexOf(zahl);
				
				// Ergebnis
				MessageBox.Show(zahl.ToString()+" wurde an "+index.ToString()
				                +". Position gefunden.");
				  
			}
			else
			{
				MessageBox.Show(zahl.ToString()+" ist nicht in der ComboBox enthalten!");
			}
		}
		
		void ButtonInsertClick(object sender, EventArgs e)
		{
			// beliebige Zahl setzen
			int zahl=300;
			// Zahl an Position 0 einfgen
			comboBox1.Items.Insert(0,zahl);
		}
		
		void ButtonItemClick(object sender, EventArgs e)
		{
			// wenn ComboBox mehr als ein Element enthlt, kann
			// auf das Element zugegriffen werden
			if(comboBox1.Items.Count>=2)
			{
		        // Zugriff erfolgt mit der Nummer ab 0 in []
		        string s=comboBox1.Items[1].ToString();
				MessageBox.Show("Wert von Item[1]: "+s);
			}
			else
			{
				MessageBox.Show("Die ComboBox enthlt nicht gengend Eintrge!");
			}
		}		
		
		void ButtonTextClick(object sender, EventArgs e)
		{
			MessageBox.Show(comboBox1.Text);
		}
	}
}
